Auth.MigrationListener (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.auth

## Class Auth.MigrationListener

- java.lang.Object
- - org.apache.cassandra.auth.Auth.MigrationListener

- All Implemented Interfaces:
    IMigrationListener
  Enclosing class:
    Auth

      public static class Auth.MigrationListener
      extends java.lang.Object
      implements IMigrationListener

  IMigrationListener implementation that cleans up permissions on dropped resources.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Auth.MigrationListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCreateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
    `void` | `onCreateKeyspace(java.lang.String ksName)`
    `void` | `onCreateUserType(java.lang.String ksName, java.lang.String userType)`
    `void` | `onDropColumnFamily(java.lang.String ksName, java.lang.String cfName)`
    `void` | `onDropKeyspace(java.lang.String ksName)`
    `void` | `onDropUserType(java.lang.String ksName, java.lang.String userType)`
    `void` | `onUpdateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
    `void` | `onUpdateKeyspace(java.lang.String ksName)`
    `void` | `onUpdateUserType(java.lang.String ksName, java.lang.String userType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Auth.MigrationListener

          public Auth.MigrationListener()

  - ### Method Detail

    - #### onDropKeyspace

          public void onDropKeyspace(java.lang.String ksName)

      Specified by:
        `onDropKeyspace` in interface `IMigrationListener`

    - #### onDropColumnFamily

          public void onDropColumnFamily(java.lang.String ksName,
                                java.lang.String cfName)

      Specified by:
        `onDropColumnFamily` in interface `IMigrationListener`

    - #### onDropUserType

          public void onDropUserType(java.lang.String ksName,
                            java.lang.String userType)

      Specified by:
        `onDropUserType` in interface `IMigrationListener`

    - #### onCreateKeyspace

          public void onCreateKeyspace(java.lang.String ksName)

      Specified by:
        `onCreateKeyspace` in interface `IMigrationListener`

    - #### onCreateColumnFamily

          public void onCreateColumnFamily(java.lang.String ksName,
                                  java.lang.String cfName)

      Specified by:
        `onCreateColumnFamily` in interface `IMigrationListener`

    - #### onCreateUserType

          public void onCreateUserType(java.lang.String ksName,
                              java.lang.String userType)

      Specified by:
        `onCreateUserType` in interface `IMigrationListener`

    - #### onUpdateKeyspace

          public void onUpdateKeyspace(java.lang.String ksName)

      Specified by:
        `onUpdateKeyspace` in interface `IMigrationListener`

    - #### onUpdateColumnFamily

          public void onUpdateColumnFamily(java.lang.String ksName,
                                  java.lang.String cfName)

      Specified by:
        `onUpdateColumnFamily` in interface `IMigrationListener`

    - #### onUpdateUserType

          public void onUpdateUserType(java.lang.String ksName,
                              java.lang.String userType)

      Specified by:
        `onUpdateUserType` in interface `IMigrationListener`

Copyright © 2014 The Apache Software Foundation